Public Class PicoTrackConfigDeployment

    ''' <summary>
    ''' Id from the database.
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property Id As Integer

    ''' <summary>
    ''' RawInput with ID place holder
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property RawInput As String

    ''' <summary>
    ''' MsgId which will be replaced by in the message
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    Public Property MgsId As Integer

    Public ReadOnly Property Input As String
        Get
            Return RawInput.Replace("ID", MgsId.ToString("00"))
        End Get
    End Property

    Public ReadOnly Property Header As String
        Get
            Return Left(Input, 10)
        End Get
    End Property

    Public ReadOnly Property MsgCode As String
        Get
            Return RawInput.Substring(2, 2)
        End Get
    End Property

    Public Property Sent As Boolean

    Public Property SendDate As DateTime
End Class
